Package net.shibboleth.shared.spring.custom

# Class LocalOnlyResourceEntityResolver

java.lang.Object
org.springframework.beans.factory.xml.DelegatingEntityResolver
org.springframework.beans.factory.xml.ResourceEntityResolver
net.shibboleth.shared.spring.custom.LocalOnlyResourceEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class LocalOnlyResourceEntityResolver extends ResourceEntityResolver
Modified copy of Spring's existing `ResourceEntityResolver` class that elides the fall-through logic allowing for http(s) resolution of entities.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class org.springframework.beans.factory.xml.DelegatingEntityResolver

`DTD_SUFFIX, XSD_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`LocalOnlyResourceEntityResolver(ResourceLoader loader)`
Create a ResourceEntityResolver for the specified ResourceLoader (usually, an ApplicationContext).

## Method Summary

Modifier and Type
Method
Description
`protected InputSource`
`resolveSchemaEntity(String publicId, String systemId)`

### Methods inherited from class org.springframework.beans.factory.xml.ResourceEntityResolver

`resolveEntity`

### Methods inherited from class org.springframework.beans.factory.xml.DelegatingEntityResolver

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### LocalOnlyResourceEntityResolver

public LocalOnlyResourceEntityResolver(@Nonnull ResourceLoader loader)
Create a ResourceEntityResolver for the specified ResourceLoader (usually, an ApplicationContext).

Parameters:
  `loader` - the ResourceLoader (or ApplicationContext) to load XML entity includes with

## Method Details

### resolveSchemaEntity

@Nullable protected InputSource resolveSchemaEntity(@Nullable String publicId, @Nonnull String systemId)

Overrides:
  `resolveSchemaEntity` in class `ResourceEntityResolver`